
Infrastructure - Task #3082

Task # 3635 (New): Phase two Morpho implementation

Morpho should not rely on CN for any critical features

2012-07-18 01:27 - Jing Tao

Status: New Start date: 2012-07-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Morpho Estimated time: 0.00 hour

Target version: 2013.10-Block.2.1   

Milestone: None Story Points:  

Product Version: *   

Description

Here is a scenario we need to handle:

1. A user installed its own metacat 2.0.0.

2. This metacat server doesn't join the dataone network.

3. User want morpho can connect the metacat.

Since the new morpho will only use the dataone api to create, update and delete documents, we should make sure that the dataone

api is on even though the metacat doesn't join the dataone network.

History

#1 - 2012-10-11 15:33 - Dave Vieglais

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.41-Block.6.1

#2 - 2012-10-14 15:14 - Ben Leinfelder

- Subject changed from Handle a metacat which doesn't join the dataone network to Morpho should not rely on CN for any critical features

- Category set to Morpho

We added MN.query for the very reason. We still have a CN dependency for the access control screen where we will have to use the CN.accounts

service to get a list of all DataONE users. This is analogous to Metacat's getPrincipals action. If the MN is not part of a CN network, we can still

provide them the list from the CN as well as a text box for editing an identity for access control rules.

#3 - 2012-10-24 18:20 - Ben Leinfelder

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

#4 - 2012-12-12 16:51 - Chris Jones

- Target version changed from Sprint-2012.44-Block.6.2 to Sprint-2012.50-Block.6.4

#5 - 2013-03-01 18:33 - Ben Leinfelder

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.10-Block.2.1

#6 - 2013-03-02 05:26 - Ben Leinfelder

- Parent task changed from #3080 to #3635

Setting AccessPolicy and ReplicationPolicy is also an issue that needs to be addressed. Currently these methods are only exposed on the CN so

users must wait until an object has been synchronized from the MN to the CN.
